RegionAttributesType.PartitionAttributes.FixedPartitionAttributes (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.configuration

## Class RegionAttributesType.PartitionAttributes.FixedPartitionAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.PartitionAttributes.FixedPartitionAttributes

- Enclosing class:
    RegionAttributesType.PartitionAttributes

      public static class RegionAttributesType.PartitionAttributes.FixedPartitionAttributes
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="partition-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="is-primary" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `isPrimary`
    `protected java.lang.String` | `numBuckets`
    `protected java.lang.String` | `partitionName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedPartitionAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNumBuckets()` Gets the value of the numBuckets property.
    `java.lang.String` | `getPartitionName()` Gets the value of the partitionName property.
    `java.lang.Boolean` | `isIsPrimary()` Gets the value of the isPrimary property.
    `void` | `setIsPrimary(java.lang.Boolean value)` Sets the value of the isPrimary property.
    `void` | `setNumBuckets(java.lang.String value)` Sets the value of the numBuckets property.
    `void` | `setPartitionName(java.lang.String value)` Sets the value of the partitionName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### partitionName

          protected java.lang.String partitionName

    - #### isPrimary

          protected java.lang.Boolean isPrimary

    - #### numBuckets

          protected java.lang.String numBuckets

  - ### Constructor Detail

    - #### FixedPartitionAttributes

          public FixedPartitionAttributes()

  - ### Method Detail

    - #### getPartitionName

          public java.lang.String getPartitionName()

      Gets the value of the partitionName property.
      Returns:
        possible object is `String`

    - #### setPartitionName

          public void setPartitionName(java.lang.String value)

      Sets the value of the partitionName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isIsPrimary

          public java.lang.Boolean isIsPrimary()

      Gets the value of the isPrimary property.
      Returns:
        possible object is `Boolean`

    - #### setIsPrimary

          public void setIsPrimary(java.lang.Boolean value)

      Sets the value of the isPrimary property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getNumBuckets

          public java.lang.String getNumBuckets()

      Gets the value of the numBuckets property.
      Returns:
        possible object is `String`

    - #### setNumBuckets

          public void setNumBuckets(java.lang.String value)

      Sets the value of the numBuckets property.
      Parameters:
        `value` - allowed object is `String`